/**Begin D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_CHECKUSERROLESYN') 
 CREATE TABLE T_HRCS_CHECKUSERROLESYN (
FID BIGINT DEFAULT 0 NOT NULL,
FONLYINSYSSIZE INT DEFAULT 0 NOT NULL,
FONLYINHMPSIZE INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_CHECKONLYINSYS') 
 CREATE TABLE T_HRCS_CHECKONLYINSYS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROLEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISINCLUDESUBORG CHAR(1) DEFAULT '0' NOT NULL,
FINSYSID VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_CHECKONLYINHMP') 
 CREATE TABLE T_HRCS_CHECKONLYINHMP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSYSID VARCHAR(50) DEFAULT ' ' NOT NULL,
FROLEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISINCLUDESUBORG CHAR(1) DEFAULT '0' NOT NULL,
FHMPID BIGINT DEFAULT 0 NOT NULL,
FRELATID BIGINT DEFAULT 0 NOT NULL,
FBUCAFUNCID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
